xcb_sync_await(3)

NAME
xcb_sync_await -

SYNOPSIS
#include <xcb/sync.h>

  Request function

xcb_void_cookie_t xcb_sync_await(xcb_connection_t *conn, uint32_t wait_list_len, const xcb_sync_waitcondition_t *wait_list);

REQUEST ARGUMENTS

conn
    The XCB connection to X11.

wait_list_len
    TODO: NOT YET DOCUMENTED.

wait_list
    TODO: NOT YET DOCUMENTED.

DESCRIPTION

RETURN VALUE
Returns an xcb_void_cookie_t. Errors (if any) have to be handled in the event loop. If you want to handle errors directly with xcb_request_check instead, use xcb_sync_await_checked. See xcb-requests(3) for details.

ERRORS
This request does never generate any errors.

SEE ALSO

AUTHOR
Generated from sync.xml. Contact xcb@lists.freedesktop.org for corrections and improvements.